unable to discover shares for nfs drivers

Bug #1158681 reported by Anil Benny on 2013-03-22
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Mehdi Abaakouk
Grizzly
Medium
Eric Harney

Bug Description

For NFS drivers, the available shares are not discovered.

C-VOL logs:
-------------

2013-03-21 05:17:51 DEBUG [cinder.utils] Running cmd (subprocess): sudo cinder-rootwrap /etc/cinder/rootwrap.conf stat /opt/stack/data/cinder/mnt/ab232081c54df47ddd4d58820aa3ab6b
2013-03-21 05:17:51 WARNING [cinder.volume.drivers.nfs] Exception during mounting no such option: nfs_mount_options
2013-03-21 05:17:51 DEBUG [cinder.volume.drivers.nfs] Available shares []
2013-03-21 05:18:51 DEBUG [cinder.manager] Running periodic task VolumeManager._publish_service_capabilities
2013-03-21 05:18:51 DEBUG [cinder.manager] Notifying Schedulers of capabilities ...
2013-03-21 05:18:51 DEBUG [cinder.openstack.common.rpc.amqp] Making asynchronous fanout cast...
2013-03-21 05:18:51 DEBUG [cinder.openstack.common.rpc.amqp] UNIQUE_ID is 9c17fb22962c41e685954064e8984501.
2013-03-21 05:18:51 DEBUG [cinder.manager] Running periodic task VolumeManager._report_driver_status
2013-03-21 05:18:51 INFO [cinder.volume.manager] Updating volume status
2013-03-21 05:18:51 DEBUG [cinder.volume.drivers.nfs] Updating volume status
2013-03-21 05:18:51 DEBUG [cinder.utils] Running cmd (subprocess): sudo cinder-rootwrap /etc/cinder/rootwrap.conf stat /opt/stack/data/cinder/mnt/ab232081c54df47ddd4d58820aa3ab6b
2013-03-21 05:18:51 WARNING [cinder.volume.drivers.nfs] Exception during mounting no such option: nfs_mount_options
2013-03-21 05:18:51 DEBUG [cinder.volume.drivers.nfs] Available shares []
2013-03-21 05:19:51 DEBUG [cinder.manager] Running periodic task VolumeManager._publish_service_capabilities
2013-03-21 05:19:51 DEBUG [cinder.manager] Notifying Schedulers of capabilities ...
2013-03-21 05:19:51 DEBUG [cinder.openstack.common.rpc.amqp] Making asynchronous fanout cast...
2013-03-21 05:19:51 DEBUG [cinder.openstack.common.rpc.amqp] UNIQUE_ID is bccbbaca6e42445fa0fbf7e44da550dd.
2013-03-21 05:19:51 DEBUG [cinder.manager] Running periodic task VolumeManager._report_driver_status
2013-03-21 05:19:51 INFO [cinder.volume.manager] Updating volume status
2013-03-21 05:19:51 DEBUG [cinder.volume.drivers.nfs] Updating volume status
2013-03-21 05:19:51 DEBUG [cinder.utils] Running cmd (subprocess): sudo cinder-rootwrap /etc/cinder/rootwrap.conf stat /opt/stack/data/cinder/mnt/ab232081c54df47ddd4d58820aa3ab6b
2013-03-21 05:19:51 WARNING [cinder.volume.drivers.nfs] Exception during mounting no such option: nfs_mount_options
2013-03-21 05:19:51 DEBUG [cinder.volume.drivers.nfs] Available shares []

Navneet (singn) wrote :

The bug comes after change done in the common nfs at cinder.volume.drivers.nfs.py in the class NfsDriver. The change replaced Flags with oslo configuration. To read option nfs_mount_options, Flag is replaced by cfg.CONF. I am not clear why is it done this way, is it to place option nfs_mount_options as a common option ? in that case it needs to be present in the common options at cfg.CONF. Or if thats not the case then is it required to be specified in conder.conf while configuring, this will require change in NfsDriver as well. Mentioning the change number for the author to reply on this. This causes dependent nfs drivers to fail mounting nfs exports.

https://github.com/openstack/cinder/commit/c47bf9bc3835d4399185376ac07920ef903d79e8#cinder/volume/drivers/nfs.py

Mehdi Abaakouk (sileht) on 2013-03-22
Changed in cinder:
assignee: nobody → Mehdi Abaakouk (sileht)
Mehdi Abaakouk (sileht) on 2013-03-22
Changed in cinder:
status: New → In Progress

Reviewed: https://review.openstack.org/25118
Committed: http://github.com/openstack/cinder/commit/d15830883eba4b8fb64e0e4760a217ff832f288f
Submitter: Jenkins
Branch: master

commit d15830883eba4b8fb64e0e4760a217ff832f288f
Author: Mehdi Abaakouk <email address hidden>
Date: Fri Mar 22 10:26:09 2013 +0100

    Use the local configuration in the nfs drivers

    Fixes bug 1158681

    Change-Id: If797a5d3241d6129a8fefea1222b723f03f86452

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-05-29
Changed in cinder:
milestone: none → havana-1
status: Fix Committed → Fix Released
Huang Zhiteng (zhiteng-huang) wrote :

Please back-port this fix to Grizzly as it breaks almost every NFS drivers in multi-backend setup.

tags: added: grizzly-backport-potential

Reviewed: https://review.openstack.org/39135
Committed: http://github.com/openstack/cinder/commit/679df6857b16076069a9a344981d24ff6fc2e3f1
Submitter: Jenkins
Branch: stable/grizzly

commit 679df6857b16076069a9a344981d24ff6fc2e3f1
Author: Mehdi Abaakouk <email address hidden>
Date: Fri Mar 22 10:26:09 2013 +0100

    Use the local configuration in the nfs drivers

    Fixes bug 1158681

    Change-Id: If797a5d3241d6129a8fefea1222b723f03f86452
    (cherry picked from commit d15830883eba4b8fb64e0e4760a217ff832f288f)

tags: added: in-stable-grizzly
Alan Pevec (apevec) on 2013-08-06
tags: removed: grizzly-backport-potential in-stable-grizzly
Changed in cinder:
importance: Undecided → Medium
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers